The incredibly useful “ultrasn0w fixer” is now available for the recently released iOS 6.0.1, meaning iPhone 4 and iPhone 3GS owners (on suitable basebands) can unlock their smartphone under the new version of the iOS.

As per, the basebands ultrasn0w fixer can unlock are limited to the following:

  • 01.59.00
  • 04.26.08
  • 05.11.07
  • 05.13.01
  • 05.12.01
  • 06.15.00

The jailbreak tweak allows jailbreakers to unlock their handset under the latest version of the iOS (such as iOS 6, and now iOS 6.0.1) even though the iPhone Dev-Team’s ultrasn0w package has yet to be updated. In order to use ultrasn0w fixer, first install ultrasn0w as usual, then add the new jailbreak tweak’s repository to the Cydia app (“http://repo.iparelhos.com”). After installing ultrasn0w and then ultrasn0w fixer, your iPhone 4 or iPhone 3GS should be unlocked, and available to use with any carrier.

For information on jailbreaking under iOS 6.0.1, check out our post. And if you plan on unlocking your iOS 6.0.1-powered iPhone 4 or iPhone 3GS, good luck!

Image credit: Redmond Pie